<!DOCTYPE html>
<html lang="nl">
<head>
	<meta charset="utf-8">
	<title>NummerReeks App | Storage</title>
	<link rel="icon" type="image/x-icon" href="/favicon.ico">
	<link rel="stylesheet" href="/static/css/bootstrap/bootstrap.min.css">
	<link rel="stylesheet" href="/static/css/bcd.css">
	<script src="/static/js/jquery-3.5.1.js"></script>
	<script src="/static/js/bootstrap/bootstrap.min.js"></script>
	<script src="/static/js/bcd.util.js"></script>
	<script src="/static/js/bcd.shared.js"></script>
	<script src="/static/js/bcd.dialog.js"></script>
	<script src="/static/js/bcd.search.js"></script>
	<script>
		const BASE_PATH = '~%basePath%';
		const SEARCH_REQUEST = ~%searchRequest%;
		const PERMISSION = '~%permission%';
	</script>
</head>

<body>

~%%include:/html/include/navbar.html%
~%%include:adminNavbar:/html/include/AdminNavbar.html%
	
	<h1>Storage Locations</h1>
	
	~%%include:logo:/html/include/Logo.html%
	
	<div class="left" id="w2">

		<div  id="list-buttons-container">
			<button
				id="create-button"
				class="btn btn-primary"
				onclick="action('new')"
			>
				Upload File
			</button>
		</div>
		
		<div id="extra-search-options">&nbsp;</div>

		<div>
			<table
				class="row-border hover order-column"
				cellspacing="0"
				width="100%">
				<thead>
					<tr>
						<th nowrap class="th-main" data-sortcol="TOP_DESK_ID">Topdesk Nr</th>
						<th nowrap class="th-main" data-sortcol="REQUESTER_NAME">Aanvrager</th>
						<th nowrap class="th-main" data-sortcol="FILE_NAME">Bestand</th>
						<th nowrap class="th-main" data-sortcol="PREFIXES">Prefixes</th>
						<th nowrap class="th-main" data-sortcol="DATE_MODIFIED">Gewijzigd</th>
						<th nowrap>&nbsp;</th> <!-- edit -->
						<th nowrap>&nbsp;</th> <!-- delete -->
						<th nowrap>&nbsp;</th> <!-- print -->
						<th nowrap class="th-main" data-sortcol="DISPENSE_COUNT">&nbsp;</th>
					</tr>
				</thead>

				<tbody>
					~%%begin:mainTable%
					<tr class="main-table-row" data-status="~%status%" ondblclick="showViewPage(~%storageLocationId%);">
						<td nowrap><a
								href="https://naturalis.topdesk.net/tas/secure/incident?action=lookup&lookup=naam&lookupValue=~%topdesk:topDeskId%"
								target="_blank">~%topDeskId%</a></td>
						<td nowrap>~%requesterName%</td>
						<td nowrap>~%fileName%</td>
						<td nowrap style="width:100%">~%prefixes%</td>
						<td nowrap>~%dateModified%</td>
						<td class="button-container">
							<button
								class="btn btn-success"
								name="editButton"
								disabled="disabled"
								data-toggle="tooltip"
								title="Upload gegevens bijwerken"
								style="width: 100%; height: 1.8em;"
								onclick="showEditPage(~%storageLocationId%);"
							>
								~%%include:/svg/pencil-square.svg%
							</button>
						</td>						
						
						<td class="button-container">
							<button
								class="btn btn-success"
								name="deleteButton"
								disabled="disabled"
								data-toggle="tooltip"
								title="Upload verwijderen"
								style="width: 100%; height: 1.8em;"
								onclick="deleteRecord('~%js:fileName%',~%storageLocationId%)"
							>
								~%%include:/svg/trash.svg%
							</button>
						</td>
						
						<td class="button-container">
							<button
								class="btn btn-success"
								name="printButton"
								disabled="disabled"
								data-toggle="tooltip"
								title="Nummerreeks printen"
								style="width: 100%; height: 1.8em;"
								onclick="printStorage(~%storageLocationId%);"
							>
								~%%include:/svg/printer.svg%
							</button>
						</td>
						<td nowrap id="dispenseCount~%requestId%" style="text-align:right">~%dispenseCount%</td>
					</tr>
					~%%end:mainTable%
				</tbody>
			</table>
			
			<div id="row-count-display"></div>

		</div>

~%%include:/html/include/PageButtons.html%
		
	</div>
	
~%%include:bsDialog:/html/include/BSDialog.html%

<span id="sortAsc" style="display:none;">&nbsp;~%%include:sortAscIcon:/svg/caret-up-fill.svg%</span>
<span id="sortDesc" style="display:none;">&nbsp;~%%include:sortDescIcon:/svg/caret-down-fill.svg%</span>

<script>	

function wakeup(tr, buttonName) {
	const button = tr.find("button[name='" + buttonName + "']");
	button.prop("disabled", false).removeClass("btn-success").addClass("btn-primary");
}

function snooze(tr, buttonName) {
	const button = tr.find("button[name='" + buttonName + "']");
	button.removeClass("btn-success").addClass("btn-primary");
}

function removeButton(parentElem, buttonName) {
	let button = parentElem.find("button[name='" + buttonName + "']");
	button.remove();
}

$('document').ready(function() {

	initListPage();

	// Remove the button "Upload File"
	if (PERMISSION === "VIEW") {
		$("#create-button").remove();
	}

	// Process the edit/delete/print buttons
	$(".main-table-row").each(function() {
		const tr = $(this); 
		const status = parseInt(tr.attr('data-status'));
		if(status === 0) {
			wakeup(tr, "editButton");
			wakeup(tr, "deleteButton");
			snooze(tr, "printButton");
		} else if(status === 1) {
			snooze(tr, "editButton");
			snooze(tr, "deleteButton");
			wakeup(tr, "printButton");
		}
		// Remove edit/print buttons for users with only VIEW permission
		if (PERMISSION === "VIEW") {
			removeButton(tr, "editButton");
			removeButton(tr, "deleteButton");
			removeButton(tr, "printButton");
		}
	});
	
});
</script>

</body>
</html>
